GNU bug report logs - #35234
[PATCH] gnu: Add the-dark-mod.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Pierre Neidhardt <mail@HIDDEN>; Keywords: patch; dated Thu, 11 Apr 2019 18:18:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 22 Apr 2019 16:50:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 12:50:48 2019
Received: from localhost ([127.0.0.1]:51448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIc9Y-0006Mi-LZ
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 12:50:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hIc9X-0006MU-5U
 for 35234 <at> debbugs.gnu.org; Mon, 22 Apr 2019 12:50:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44102)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hIc9Q-0003yS-Kn; Mon, 22 Apr 2019 12:50:40 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=37518 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hIc9Q-0003Vw-0t; Mon, 22 Apr 2019 12:50:40 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN> <87pnpf72ns.fsf@HIDDEN>
 <87k1fm9zw5.fsf@HIDDEN> <878sw275ye.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 3 =?utf-8?Q?Flor=C3=A9al?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 22 Apr 2019 18:50:37 +0200
In-Reply-To: <878sw275ye.fsf@HIDDEN> (Ricardo Wurmus's message of "Mon,
 22 Apr 2019 11:19:21 +0200")
Message-ID: <8736mayof6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ricardo Wurmus <rekado@HIDDEN> skribis:

> The package claims to provide a game, not a game engine.  As a user I
> would install this only to be told that I need to obtain proprietary
> software (i.e. the game or the demo) to play this.  This is steering
> people to seek out and use proprietary software.
>
> We should change the package so that it conveys the right message,
> either by making it clear that this is not a game but the game engine,
> or by including the game data.  Even if the data are non-functional they
> must be redistributable.  If they are not then we cannot include the
> game data and it would be highly misleading to call the package after
> the game.

I agree.

Pierre, can you look into implementing one of these two options?

>> * gnu/packages/games.scm (the-dark-mod): New variable.
> [=E2=80=A6]
>> +      (synopsis "Game based on the Thief series by Looking Glass Studio=
s")
>> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltrati=
on game
>> +based on the Thief series by Looking Glass Studios.  Formerly a Doom II=
I mod,
>> +it is now released as a standalone.
>> +
>> +The game data must be fetched manually by running @command{tdm_update}.
>> +The ~a environment variable specifies the location where the game data =
is
>> +saved (defaults to ~a)."
>> +                           the-dark-mod-env-var-name the-dark-mod-env-v=
ar-value))

(As a side note: do not use =E2=80=98format=E2=80=99 here, or wrap the form=
at string in
=E2=80=98G_=E2=80=99 to allow for i18n.)

> Is this actually free software?  Does it depend on the proprietary Thief
> game data to be playable?  What is the purpose of tdm_update?
>
> I don=E2=80=99t think it=E2=80=99s good to have people run the tdm_update=
 tool, because
> this smells like the anti pattern seen for many games in other
> distributions where you really only install a downloader, which then
> fetches the (potentially non-free) game data.
>
> The game data are free in this case, but since this is provided by an
> unversioned URL it might not be when a user runs the command.  I prefer
> to include a snapshot of the game data.

+1.  The download script looks like giving upstream blanket permission;
even from a technical standpoint, it goes counter our reproducibility
mantra.

(We would disable phone-home mechanisms, and automatic download of game
data goes even a step further.)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 22 Apr 2019 11:56:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 07:56:23 2019
Received: from localhost ([127.0.0.1]:50024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIXYd-0004hW-As
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:56:23 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hIXYb-0004hO-DF
 for 35234 <at> debbugs.gnu.org; Mon, 22 Apr 2019 07:56:22 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1555934166; cv=none; d=zoho.com; s=zohoarc; 
 b=nbmUcDI2KzWZTtc78EyVFSUe3YX4bMQi3jRifLBDcDd2TxlY8qLMwtegYcl3TXXqs6/Vq+07rVCLJOxhBafpT1CHHyCKi8evl3hmVpT0s3OGFtUYOqAqBg0Q5pG2E8QK+ZCfuSjXItuWGTS3OupmqzuWAoTCty5wasX0IlBJMXg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1555934166;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=9EWd9ij3fB4lCiIsiN4ANL18807sCILNrr9vtCrISHY=; 
 b=ICUPapzLdk9CUxlzkb/6Ep9ZjEYMEHgC91dnxQQIKhPPdW48rQNdCkfVFYr8ugB9uXmgMyq8hXzsigGw/5ei1pewGYPlQkB9m083jXJ+HWCqvmimCs1H7FlkuPdwhYgikXKJI1ytWFhjQ2XTooUfd25wQdf7n29jINzMEjaU5GY=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1555934166; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 l=776; bh=9EWd9ij3fB4lCiIsiN4ANL18807sCILNrr9vtCrISHY=;
 b=FryLzeM1BatGiwtFq1Z6teUsk5SHlikesoSFg6+A0+igc4gc3RjdnZcSoAamDfNG
 BddGwKHNM+6jJlSWTMqt6+AOeT/3h5EDvtHp+KWeyEa1DRvPLuS+KLYBuSJ1m1wtZdt
 TNWtJlZtVrNblgSHrRPhNj8MVSB901KhZrWbafqw=
Received: from localhost (p54AD4E18.dip0.t-ipconnect.de [84.173.78.24]) by
 mx.zohomail.com with SMTPS id 1555934165837142.81099585948039;
 Mon, 22 Apr 2019 04:56:05 -0700 (PDT)
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN>
 <DAEA3491-A0CB-420D-AD9B-3B45B5D00CC1@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Adonay Felipe Nogueira <adfeno@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-reply-to: <DAEA3491-A0CB-420D-AD9B-3B45B5D00CC1@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 22 Apr 2019 13:56:01 +0200
Message-ID: <877ebm6ypa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Adonay Felipe Nogueira <adfeno@HIDDEN> writes:

> What I do think must be done is have a policy not to do a full
> copy-paste to the description from the original project in the
> package's metadata, this way we can foster a better compliance with
> the GNU FSDG in regards to not referencing non-free/non-libre
> functional data or nonfunctional ones that forbid unlimited sharing
> and selling.
>
> This "avoid full copy-paste" policy would be similar to what we have
> in the Free Software Directory[1] - not equal since the motive would
> be different.
>
> The next challenge would be making sure that the software and
> documentation don't mention stuff that isn't FSDG-compliant.

This is usually addressed during patch review.

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2019 10:03:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 06:03:04 2019
Received: from localhost ([127.0.0.1]:49773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIVmx-00063o-Tt
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:03:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adfeno@HIDDEN>) id 1hIVmv-00062q-3w
 for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:03:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:37373)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <adfeno@HIDDEN>)
 id 1hIVmo-0007uJ-I4
 for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 06:02:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55774)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <adfeno@HIDDEN>) id 1hIVmn-0000co-ES
 for guix-patches@HIDDEN; Mon, 22 Apr 2019 06:02:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <adfeno@HIDDEN>) id 1hIVmm-0007tK-8A
 for guix-patches@HIDDEN; Mon, 22 Apr 2019 06:02:53 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:34235)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <adfeno@HIDDEN>)
 id 1hIVml-0007qN-9P
 for guix-patches@HIDDEN; Mon, 22 Apr 2019 06:02:52 -0400
X-Originating-IP: 189.40.68.186
Received: from [100.111.107.235] (unknown [189.40.68.186])
 (Authenticated sender: adfeno@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 447EA1BF20E
 for <guix-patches@HIDDEN>; Mon, 22 Apr 2019 10:02:45 +0000 (UTC)
Date: Mon, 22 Apr 2019 07:01:53 -0300
User-Agent: K-9 Mail for Android
In-Reply-To: <87pnpf72ns.fsf@HIDDEN>
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN> <87pnpf72ns.fsf@HIDDEN>
Autocrypt: addr=adfeno@HIDDEN; keydata=
 mQSuBFSdo9IRDACmvQCvDZOHZ33gwVtn//XtEmnlcl1yR6j06qvh2E22aK3bmom1y6HfgAVql+3R
 16sL27Y0cEeM12Xl2h1HrFiT3Hd/LGWNVC/osPAKrrs6bMRh3uUdOVWeVuM/7c6n5hvxPAkZ6s70
 w1+y1ilG19aEpezFybAb9oE7+qBLjKAZPgceHeOxUthdfqDDqc/oenCGVEQNvPzKjQVzE+NnB3Kd
 bGNQKFjTuWutxHjMY61H06a824vMd4SU5ReHlDnhCfasJUYcT6ykijf5xeCUicLvLowZl3rCjzjx
 FxKGnfh/vT6LqMNlfLfTKMR8zmXKHXC+KJjQG3Ohl++7BTGxIrxZtAr6MKeNczQng0xJtGI/gSus
 +8Rt9GycMJ/TZh+CrMsRiWmleONsl2fYO5pd4P+hDcttVOmdI/djH3yycUt5nzgezid+O2NzsjJN
 NAgDy9uxOLa01aBpaSR94IsYPCxaHh9rBo27v5L8lm2DZTmyCdTdJ/g7OETOSKGmrGywwmsBAO9f
 4sVideYrDJbEUcXkFSH19ctJYCgLHscWzpypGsQNC/9Xiq7fMCS5kAkK/ZcsPeaI4VIDkFJAF22o
 JyCvJwLWpaQKXBLAFYcAltEHfjdgrrYlexlgQ7SXyX136hD8HJTe1oc2qHN/CXa+LDvxhhNLIgag
 KP13IIt8AS7U+3YsrCSgu1fjDpxoEP2+xXTSjjcDmnJIWv1oDjIp57OfpKokvHtEsMgXrZI4Ft3f
 tpzN6o/YWVQeJ7VBdVeKPkzukMfHu04q1O6TcfSVGLSjrSdTD8/0LcRmwEwgxRBbhp3kxmnUqV+/
 C/Cj1G2LurKBdqC/rGTSgR1TeQjirTDvV4aReZ8swQS8dGoO4CoxG3ZVz0nsLs7Nl/wRoIMXVo/y
 Md03LIySSJuATWD6+0LOL5PTgsIRYpBw3jcLTAwPsQd8M8CH9b07qGJ4roVkhEj3R09WeDmSSCLc
 yQERTzA3EskuaDF8qrRjq68/6kZwhsmssBzAH1PWnFpBAqEaoyQZUisoCffbQwM31oYt04Ng7JXq
 KHVE+ZchcujtijK5bPz9ARgL/11E5yq9Z9x+OIxVx1lhMadwH/ze2CrTUIMTo9ZAp8tBqDvXOr43
 FHPTYio0wycl/anW2D6+4Q49/gK8GQS4xWo/jZnCjOaVIPRbH+y/HE4eXBwKA9UKHpYdZuL2z1zF
 LYvZd/LTrX66q/+8YMETsu86e4J76lE0WhljWdseM4RFmKlPepSttgCS6iRcWZeuhpknqpOILBwN
 UtFADnqbe9y5ZQ8xETy4/nDMIeWmiHIhQ5bzm+dzOVwtqOpDpTvMzZbU3buBCsZFVrzxuXa66sJu
 W3fhc//cJ6GTlKz404tAuJrVr9q+uB4OOlkjoUYOIYnwwmKhZaqaUQDTpvK67QhWCZiDHJ/JbvuM
 Cv/XCVh/1IdTbe518jVzfcYjlyxcSHFq8TxiGhJYaBFF4vPC9+vf7l2fQVhDzzpBqMVH5k9nGJXJ
 9M0mDO9e8O4CkV55YXzVQFVipiaGyd9DBKcWHAyprxj20MBkP0npXfGErkADCUEp1MpKt0p3U3BJ
 koi2MrQuQWRvbmF5IEZlbGlwZSBOb2d1ZWlyYSA8YWRmZW5vQGh5cGVyYm9sYS5pbmZvPoh6BBMR
 CAAiBQJZkFYUAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAAKCRDI1uFSAe6docKxAQCAKQxT
 1MlVJyXdFC7sGFH00jlHeybp6qgOVfJvpqLPGgD+ITwpdjy3RD2ckuENzAKzvom8pnDrNW+oIIIY
 UaE5gMS5BA0EVJ2j0hAQAPcu3bLnt0CqcF49mN0m7z13FiqvwLRxJe2sEeduZl146rqyNdv4XmaC
 SdsbgThfw7sW60/J4Gyianv2uzm9E4DpnSh/Ie4LGqXCUALnIYhxeILOo8CvFW1hkF/AgZp0CNoX
 rP786Nh0rksHfwps0B7b6Vy/E0blioaijvUS2z3/DKY6CXb7D8wRi64qTMarLaifRzIR/pbX29uB
 B2McOeoswSFob/McMA7AHp3p+lttR5J8eLc3Ckj7OuJCY74XIAGq2B64RPmn617BD9ym83M3fcbE
 XgDBQtvLjznfKNzeMXOLXN/7/qKm1Sza5NpeAGDg0YvXg6qIi0iyJw4RVzdCiqacO+G3Am/Ge2XD
 KsuBgsEf1YjlENINGS/ZmqfZd0sHjCJHb/YOlEzVw8HVMzeES8aUOBDh+d2aWhYx30jXuFbMqvuO
 h4t7JZjBy8TQVuvVhIps0Qyu/YnNxKzZ2F9keaN854KRtcGxaD/wOGpgoAOlyhH+pXVTTl3GCMCH
 onJ6Sn+jNGa6+oX7HF8hwSevwzQ11WThTPmUTlPU96jN5kqE6qLKBo2msu2MxVQRo1kLlHCRfjvb
 NGf2iZXRKI+RARgva+7NZPtYDs1Sg/zw7HgUowImT6JGcN0ZgAMqw/V2nALvW+Caq03GCNiWR2el
 B/jmhHR+3Brj18fsc25HAAMFEADViuPfdUqFHzmKgVdRH5A8NIZNTT/MMrYCqv5PAkEhnsXLXeHH
 V7a0cbfx3yf86Pv8XMtBItShUVQ9UPVvmFW3ew5cqCCUF5MzrbOXrrso+78yflYjbh55Sf1HelG1
 1eBTxs2auCgMWVsxRjgk9sbzh0j+R9MCMXHw0H/x63BS+due6Z0PYlsgXxbtWxB0P7kiYekXn6xo
 MeJco9CbWufnWdK4J5WylILQPNwI8uwrj56TUmh3PFnC2UmUa+KQ9m5gWHOIybWYZf4TTXBiN6gv
 hUqN9IpGFaNG26sWWiOpEWAiVTwPE/lSB+yibouSfE3XLw1Q+FH7TqwmtVS6Kj+yC4Z7GlDcmqlQ
 xJhBdXTEpTk0rA1Bs4okjqVoQRpLPYUFkhVA15jJGrewUJuUhL128gL2Ek0A14FW+zmi0Wi3tIrU
 QXovGy7eorIgq7M3/ri0ibbrS5jE4yfIZG/8nb1S/RX5JEwEaoe7izi+1GIiGkCRkzGT3VqG78pp
 H2166Bq9qDwGf3T/CmLMDNpxsc1qt857nz7RFBMM+dNs5h/Bh0t++i01JJd/ykqdfUL8nHRwDO1F
 kz/R5wugeJ/dB0TcqpnArjtTc+KVN/lRYfltEc5j0DqvFRwk3Ztd5KocWrWD/MBAvZVYKzJ9Bov9
 FGRUIGDDTJyo5VVCSe1IeSYa9ohhBBgRCgAJBQJUnaPSAhsMAAoJEMjW4VIB7p2h7ewA/ieEvMCq
 0Xjxsm8s4o0Ezcyh3CgW3o9BERkCgBG8aV6IAQCcGNxePPVKvoFhgF5zjBEFbk7t/ebBS1hHYWqw
 rQfIMw==
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/signed; boundary="----65KQRYX68HU2QI78LW2DTNTFSOXV8D"; 
 protocol="application/pgp-signature"; micalg="pgp-sha512"
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
To: guix-patches@HIDDEN
From: Adonay Felipe Nogueira <adfeno@HIDDEN>
Message-ID: <36120AED-F542-4A47-9EAF-E2F576E8340F@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 217.70.183.201
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

------65KQRYX68HU2QI78LW2DTNTFSOXV8D
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
 charset=utf-8



Em 21 de abril de 2019 13:18:15 BRT, "Ludovic Court=C3=A8s" <ludo@gnu=2Eor=
g> escreveu:
>The =E2=80=9Cyou need to obtain a copy=E2=80=A6=E2=80=9D bit is problemat=
ic because it refers
>to
>non-free software=2E
>
>However, I believe it=E2=80=99s really talking about =E2=80=9Cnon-functio=
nal data=E2=80=9D in
>FSDG terms:
>
>https://gnu=2Eorg/distros/free-system-distribution-guidelines=2Ehtml#non-=
functional-data
>
>So, rephrased to suggest obtaining the non-free _data_, the sentence
>may
>be OK per the FSDG=2E  The problem is that it=E2=80=99s maybe not that si=
mple to
>obtain the data without the non-free game=E2=80=A6
>
>Thoughts?

As a plus, if we were to include the [assumed] nonfunctional data as packa=
ge definition, we would have to attest whether that could be shared and sol=
d unlimitedly=2E

As for simply mentioning it or referring to a repository containing it, co=
nsidering the fact that it's been 6 months since I last read the GNU FSDG t=
horoughly, I do think that the guidelines need to be updated so as to offic=
ially address these two cases=2E Perhaps we all need to question FSF to do =
that?

A reminder however, that maps with scripted events are also functional dat=
a since they can misbehave=2E Whether the game referenced by the engine use=
s those is yet to be proven=2E


--=20
- P=C3=A1gina com formas de contato:
  https://libreplanet=2Eorg/wiki/User:Adfeno#vCard
- Ativista do software livre (n=C3=A3o confundir com o gratuito)=2E Avalia=
dor
  da liberdade de software e de sites=2E
- P=C3=A1gina com lista de contribui=C3=A7=C3=B5es:
  https://libreplanet=2Eorg/wiki/User:Adfeno#Contribs
- Para uso em escrit=C3=B3rios e trabalhos, favor enviar arquivos do padr=
=C3=A3o
  internacional OpenDocument/ODF 1=2E2 (ISO/IEC 26300-1:2015 e
  correlatos)=2E S=C3=A3o os =2Eodt/=2Eods/=2Eodp/odg=2E O LibreOffice =C3=
=A9 a su=C3=ADte de
  escrit=C3=B3rio recomendada para editar tais arquivos=2E
- Para outros formatos de arquivos, veja:
  https://libreplanet=2Eorg/wiki/User:Adfeno#Arquivos
- Gosta do meu trabalho? Contrate-me ou doe algo para mim!
  https://libreplanet=2Eorg/wiki/User:Adfeno#Suporte
- Use comunica=C3=A7=C3=B5es sociais federadas padronizadas, onde o "socia=
l"
  permanece independente do fornecedor=2E #DeleteWhatsApp=2E Use #XMPP
  (https://libreplanet=2Eorg/wiki/XMPP=2Ept), #DeleteFacebook
  #DeleteInstagram #DeleteTwitter #DeleteYouTube=2E Use #ActivityPub via
  #Mastodon (https://joinmastodon=2Eorg/)=2E
- #DeleteNetflix #CancelNetflix=2E Evite #DRM:
  https://www=2Edefectivebydesign=2Eorg/

------65KQRYX68HU2QI78LW2DTNTFSOXV8D
Content-Type: application/pgp-signature; name="signature.asc"
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI4EABEKADYvHEFkb25heSBGZWxpcGUgTm9ndWVpcmEgPGFkZmVub0BoeXBlcmJv
bGEuaW5mbz4FAly9kREACgkQyNbhUgHunaGBrwEAnWSkP0ijZjWV6KEYPFKbTafX
4U263ap94ipnsTw840YA/jtvVYHPitHz+jMuVIADQ9MtkUsAItM5ugnlpyEU285K
=N2Vi
-----END PGP SIGNATURE-----

------65KQRYX68HU2QI78LW2DTNTFSOXV8D--




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 22 Apr 2019 09:42:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 05:42:36 2019
Received: from localhost ([127.0.0.1]:49723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIVTA-0005UQ-0I
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:42:36 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:34959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hIVT8-0005UJ-Sc
 for 35234 <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:42:35 -0400
X-Originating-IP: 92.169.116.19
Received: from bababa (lfbn-1-4117-19.w92-169.abo.wanadoo.fr [92.169.116.19])
 (Authenticated sender: pierre@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 4AB7A240010;
 Mon, 22 Apr 2019 09:42:31 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-Reply-To: <878sw275ye.fsf@HIDDEN>
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN> <87pnpf72ns.fsf@HIDDEN>
 <87k1fm9zw5.fsf@HIDDEN> <878sw275ye.fsf@HIDDEN>
Date: Mon, 22 Apr 2019 11:42:26 +0200
Message-ID: <87h8aq9y0t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Makes sense, understood.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAly9jIIACgkQm9z0l6S7
zH8WKgf/TUoRN+sX6e4isfuohtheXlUyuqP6ZWJpnvNY/12nwXyasEpZUWSjOWmx
ZVAP5xbGqSrZgq9SDo/T7BlS1cbv3+qob4HkmnEY8T4+ri9BOKxOJe9CLME44nLS
14eqd0jzoiuzTPIZW59ejq8LqfqCoHS8Guwbelu7ZZ9Yai8iuFLaUPDxQk3nTnKL
P/TKQvG5RqiqrixdQxIrviQz0HulZQsetAdLIj0BLsLeiVD22bh8CqAXOOC5F6FR
ydehOETWlvJVKcTUo+zhdPRlFEdHvUFTXryXxXmYzpfO4+MfpMpEC8L/DpqGODpi
lxWn7vL7fBOHj3MMs8XmfwN+xhVElQ==
=//9I
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2019 09:40:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 05:40:45 2019
Received: from localhost ([127.0.0.1]:49715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIVRK-0005R9-7R
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:40:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adfeno@HIDDEN>) id 1hIVRH-0005Qr-H2
 for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:40:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:53780)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <adfeno@HIDDEN>)
 id 1hIVRC-0002Js-2m
 for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:40:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51896)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <adfeno@HIDDEN>) id 1hIVRA-0004wb-Lx
 for guix-patches@HIDDEN; Mon, 22 Apr 2019 05:40:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <adfeno@HIDDEN>) id 1hIVR9-0002H5-Cx
 for guix-patches@HIDDEN; Mon, 22 Apr 2019 05:40:32 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:57145)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <adfeno@HIDDEN>)
 id 1hIVR9-0002Bs-3E
 for guix-patches@HIDDEN; Mon, 22 Apr 2019 05:40:31 -0400
X-Originating-IP: 189.40.68.186
Received: from [100.111.107.235] (unknown [189.40.68.186])
 (Authenticated sender: adfeno@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id BB2EB1BF206
 for <guix-patches@HIDDEN>; Mon, 22 Apr 2019 09:40:24 +0000 (UTC)
Date: Mon, 22 Apr 2019 06:40:13 -0300
User-Agent: K-9 Mail for Android
In-Reply-To: <87ef5v78f8.fsf@HIDDEN>
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Autocrypt: addr=adfeno@HIDDEN; keydata=
 mQSuBFSdo9IRDACmvQCvDZOHZ33gwVtn//XtEmnlcl1yR6j06qvh2E22aK3bmom1y6HfgAVql+3R
 16sL27Y0cEeM12Xl2h1HrFiT3Hd/LGWNVC/osPAKrrs6bMRh3uUdOVWeVuM/7c6n5hvxPAkZ6s70
 w1+y1ilG19aEpezFybAb9oE7+qBLjKAZPgceHeOxUthdfqDDqc/oenCGVEQNvPzKjQVzE+NnB3Kd
 bGNQKFjTuWutxHjMY61H06a824vMd4SU5ReHlDnhCfasJUYcT6ykijf5xeCUicLvLowZl3rCjzjx
 FxKGnfh/vT6LqMNlfLfTKMR8zmXKHXC+KJjQG3Ohl++7BTGxIrxZtAr6MKeNczQng0xJtGI/gSus
 +8Rt9GycMJ/TZh+CrMsRiWmleONsl2fYO5pd4P+hDcttVOmdI/djH3yycUt5nzgezid+O2NzsjJN
 NAgDy9uxOLa01aBpaSR94IsYPCxaHh9rBo27v5L8lm2DZTmyCdTdJ/g7OETOSKGmrGywwmsBAO9f
 4sVideYrDJbEUcXkFSH19ctJYCgLHscWzpypGsQNC/9Xiq7fMCS5kAkK/ZcsPeaI4VIDkFJAF22o
 JyCvJwLWpaQKXBLAFYcAltEHfjdgrrYlexlgQ7SXyX136hD8HJTe1oc2qHN/CXa+LDvxhhNLIgag
 KP13IIt8AS7U+3YsrCSgu1fjDpxoEP2+xXTSjjcDmnJIWv1oDjIp57OfpKokvHtEsMgXrZI4Ft3f
 tpzN6o/YWVQeJ7VBdVeKPkzukMfHu04q1O6TcfSVGLSjrSdTD8/0LcRmwEwgxRBbhp3kxmnUqV+/
 C/Cj1G2LurKBdqC/rGTSgR1TeQjirTDvV4aReZ8swQS8dGoO4CoxG3ZVz0nsLs7Nl/wRoIMXVo/y
 Md03LIySSJuATWD6+0LOL5PTgsIRYpBw3jcLTAwPsQd8M8CH9b07qGJ4roVkhEj3R09WeDmSSCLc
 yQERTzA3EskuaDF8qrRjq68/6kZwhsmssBzAH1PWnFpBAqEaoyQZUisoCffbQwM31oYt04Ng7JXq
 KHVE+ZchcujtijK5bPz9ARgL/11E5yq9Z9x+OIxVx1lhMadwH/ze2CrTUIMTo9ZAp8tBqDvXOr43
 FHPTYio0wycl/anW2D6+4Q49/gK8GQS4xWo/jZnCjOaVIPRbH+y/HE4eXBwKA9UKHpYdZuL2z1zF
 LYvZd/LTrX66q/+8YMETsu86e4J76lE0WhljWdseM4RFmKlPepSttgCS6iRcWZeuhpknqpOILBwN
 UtFADnqbe9y5ZQ8xETy4/nDMIeWmiHIhQ5bzm+dzOVwtqOpDpTvMzZbU3buBCsZFVrzxuXa66sJu
 W3fhc//cJ6GTlKz404tAuJrVr9q+uB4OOlkjoUYOIYnwwmKhZaqaUQDTpvK67QhWCZiDHJ/JbvuM
 Cv/XCVh/1IdTbe518jVzfcYjlyxcSHFq8TxiGhJYaBFF4vPC9+vf7l2fQVhDzzpBqMVH5k9nGJXJ
 9M0mDO9e8O4CkV55YXzVQFVipiaGyd9DBKcWHAyprxj20MBkP0npXfGErkADCUEp1MpKt0p3U3BJ
 koi2MrQuQWRvbmF5IEZlbGlwZSBOb2d1ZWlyYSA8YWRmZW5vQGh5cGVyYm9sYS5pbmZvPoh6BBMR
 CAAiBQJZkFYUAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAAKCRDI1uFSAe6docKxAQCAKQxT
 1MlVJyXdFC7sGFH00jlHeybp6qgOVfJvpqLPGgD+ITwpdjy3RD2ckuENzAKzvom8pnDrNW+oIIIY
 UaE5gMS5BA0EVJ2j0hAQAPcu3bLnt0CqcF49mN0m7z13FiqvwLRxJe2sEeduZl146rqyNdv4XmaC
 SdsbgThfw7sW60/J4Gyianv2uzm9E4DpnSh/Ie4LGqXCUALnIYhxeILOo8CvFW1hkF/AgZp0CNoX
 rP786Nh0rksHfwps0B7b6Vy/E0blioaijvUS2z3/DKY6CXb7D8wRi64qTMarLaifRzIR/pbX29uB
 B2McOeoswSFob/McMA7AHp3p+lttR5J8eLc3Ckj7OuJCY74XIAGq2B64RPmn617BD9ym83M3fcbE
 XgDBQtvLjznfKNzeMXOLXN/7/qKm1Sza5NpeAGDg0YvXg6qIi0iyJw4RVzdCiqacO+G3Am/Ge2XD
 KsuBgsEf1YjlENINGS/ZmqfZd0sHjCJHb/YOlEzVw8HVMzeES8aUOBDh+d2aWhYx30jXuFbMqvuO
 h4t7JZjBy8TQVuvVhIps0Qyu/YnNxKzZ2F9keaN854KRtcGxaD/wOGpgoAOlyhH+pXVTTl3GCMCH
 onJ6Sn+jNGa6+oX7HF8hwSevwzQ11WThTPmUTlPU96jN5kqE6qLKBo2msu2MxVQRo1kLlHCRfjvb
 NGf2iZXRKI+RARgva+7NZPtYDs1Sg/zw7HgUowImT6JGcN0ZgAMqw/V2nALvW+Caq03GCNiWR2el
 B/jmhHR+3Brj18fsc25HAAMFEADViuPfdUqFHzmKgVdRH5A8NIZNTT/MMrYCqv5PAkEhnsXLXeHH
 V7a0cbfx3yf86Pv8XMtBItShUVQ9UPVvmFW3ew5cqCCUF5MzrbOXrrso+78yflYjbh55Sf1HelG1
 1eBTxs2auCgMWVsxRjgk9sbzh0j+R9MCMXHw0H/x63BS+due6Z0PYlsgXxbtWxB0P7kiYekXn6xo
 MeJco9CbWufnWdK4J5WylILQPNwI8uwrj56TUmh3PFnC2UmUa+KQ9m5gWHOIybWYZf4TTXBiN6gv
 hUqN9IpGFaNG26sWWiOpEWAiVTwPE/lSB+yibouSfE3XLw1Q+FH7TqwmtVS6Kj+yC4Z7GlDcmqlQ
 xJhBdXTEpTk0rA1Bs4okjqVoQRpLPYUFkhVA15jJGrewUJuUhL128gL2Ek0A14FW+zmi0Wi3tIrU
 QXovGy7eorIgq7M3/ri0ibbrS5jE4yfIZG/8nb1S/RX5JEwEaoe7izi+1GIiGkCRkzGT3VqG78pp
 H2166Bq9qDwGf3T/CmLMDNpxsc1qt857nz7RFBMM+dNs5h/Bh0t++i01JJd/ykqdfUL8nHRwDO1F
 kz/R5wugeJ/dB0TcqpnArjtTc+KVN/lRYfltEc5j0DqvFRwk3Ztd5KocWrWD/MBAvZVYKzJ9Bov9
 FGRUIGDDTJyo5VVCSe1IeSYa9ohhBBgRCgAJBQJUnaPSAhsMAAoJEMjW4VIB7p2h7ewA/ieEvMCq
 0Xjxsm8s4o0Ezcyh3CgW3o9BERkCgBG8aV6IAQCcGNxePPVKvoFhgF5zjBEFbk7t/ebBS1hHYWqw
 rQfIMw==
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
To: guix-patches@HIDDEN
From: Adonay Felipe Nogueira <adfeno@HIDDEN>
Message-ID: <DAEA3491-A0CB-420D-AD9B-3B45B5D00CC1@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 217.70.183.201
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)



Em 21 de abril de 2019 11:13:47 BRT, Ricardo Wurmus <rekado@elephly=2Enet>=
 escreveu:
>Hmm, that=E2=80=99s not good then=2E  I think we should take a closer loo=
k at
>them
>to decide whether they should be removed=2E
>
>The description of Arx Libertatis says this:
>
>   Arx Libertatis is a cross-platform, open source port of Arx Fatalis,
>   a 2002 first-person role-playing game / dungeon crawler developed by
>  Arkane Studios=2E  This port however does not include the game data, so
>   you need to obtain a copy of the original Arx Fatalis or its demo to
>   play Arx Libertatis=2E[=E2=80=A6]
>
>Aside from the =E2=80=9Copen source=E2=80=9D mention I don=E2=80=99t thin=
k it=E2=80=99s right for us to
>recommend that users obtain a copy of a proprietary game=2E

As far as I know including game engines is fine as long as they (not the g=
ame data) can be provided as FSDG-compliant (this is a litter further than =
simply being free/libre because GNU FSDG may require removal of third-party=
 repositories - depending on their policy)=2E

These software are useful since one can develop free/libre games to work w=
ith them=2E

What I do think must be done is have a policy not to do a full copy-paste =
to the description from the original project in the package's metadata, thi=
s way we can foster a better compliance with the GNU FSDG in regards to not=
 referencing non-free/non-libre functional data or nonfunctional ones that =
forbid unlimited sharing and selling=2E

This "avoid full copy-paste" policy would be similar to what we have in th=
e Free Software Directory[1] - not equal since the motive would be differen=
t=2E

The next challenge would be making sure that the software and documentatio=
n don't mention stuff that isn't FSDG-compliant=2E


[1] https://directory=2Efsf=2Eorg/wiki/Free_Software_Directory:Workflow =
=2E

--=20
- P=C3=A1gina com formas de contato:
  https://libreplanet=2Eorg/wiki/User:Adfeno#vCard
- Ativista do software livre (n=C3=A3o confundir com o gratuito)=2E Avalia=
dor
  da liberdade de software e de sites=2E
- P=C3=A1gina com lista de contribui=C3=A7=C3=B5es:
  https://libreplanet=2Eorg/wiki/User:Adfeno#Contribs
- Para uso em escrit=C3=B3rios e trabalhos, favor enviar arquivos do padr=
=C3=A3o
  internacional OpenDocument/ODF 1=2E2 (ISO/IEC 26300-1:2015 e
  correlatos)=2E S=C3=A3o os =2Eodt/=2Eods/=2Eodp/odg=2E O LibreOffice =C3=
=A9 a su=C3=ADte de
  escrit=C3=B3rio recomendada para editar tais arquivos=2E
- Para outros formatos de arquivos, veja:
  https://libreplanet=2Eorg/wiki/User:Adfeno#Arquivos
- Gosta do meu trabalho? Contrate-me ou doe algo para mim!
  https://libreplanet=2Eorg/wiki/User:Adfeno#Suporte
- Use comunica=C3=A7=C3=B5es sociais federadas padronizadas, onde o "socia=
l"
  permanece independente do fornecedor=2E #DeleteWhatsApp=2E Use #XMPP
  (https://libreplanet=2Eorg/wiki/XMPP=2Ept), #DeleteFacebook
  #DeleteInstagram #DeleteTwitter #DeleteYouTube=2E Use #ActivityPub via
  #Mastodon (https://joinmastodon=2Eorg/)=2E
- #DeleteNetflix #CancelNetflix=2E Evite #DRM:
  https://www=2Edefectivebydesign=2Eorg/




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 22 Apr 2019 09:19:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 05:19:52 2019
Received: from localhost ([127.0.0.1]:49680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIV7A-0004r9-Cn
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:19:52 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hIV77-0004qy-U6
 for 35234 <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:19:50 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1555924770; cv=none; d=zoho.com; s=zohoarc; 
 b=P47SAdESu0+Vj9A438zM0ny3b00PQvVk4unWohb0Paz8UFDQ42q04S8pcqPis+kAODX+KP4/i4d0FtwIWTFKIz8MKtLkTd9KVu6/bcs7EYog+KoytA2frRwhIl0SJ+h4UHC6xZ93ErlMkx6xa5X7Eq2fglTTGdevX0CINJmZPtw=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1555924770;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=aXgjO9ZChNomjBcvN8lnpAa09p5evw13VzDZqAwlwoo=; 
 b=BJGo9NTSzUb7qrpY9aiVfmF8XQVHMu/RXtAJfDPMbpn8lur8zxUcCpGmaWFB+jorJZCvfeGbJmaBqzyrI2SxjWpS6kg75pi0+EpyTA33yE3SD+SnNM/hCIBdBzyy/sjAGyYUpa31d1lSyG2dXhP0YP8HMr3l/ONGHLOuck79x+M=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1555924770; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=4240; bh=aXgjO9ZChNomjBcvN8lnpAa09p5evw13VzDZqAwlwoo=;
 b=HSNwE4Ut4pni6wR3c8Nk5/JQuZxNaUg8ytbzd0QrXuqE8cdVumNvxtV0Ximmouqr
 yS4l0r20Gv7BnGhzCefzNXU/HSs05PxEBv//QR6j4ay0VFBfMMp3VQtTRC2W7XzVsmn
 VusE3wG0vvqc6oUutUR/Eax4FEmnStcwBafNtghU=
Received: from localhost (p54AD4E18.dip0.t-ipconnect.de [84.173.78.24]) by
 mx.zohomail.com with SMTPS id 1555924766241407.4783995059978;
 Mon, 22 Apr 2019 02:19:26 -0700 (PDT)
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN> <87pnpf72ns.fsf@HIDDEN>
 <87k1fm9zw5.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-reply-to: <87k1fm9zw5.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 22 Apr 2019 11:19:21 +0200
Message-ID: <878sw275ye.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Pierre Neidhardt <mail@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Thoughts?
>>
>> Now, I would hope that the free game engine could serve as the basis for
>> a free game, with free game data as well.
>
> Absolutely.  Technically all those engines can be re-used for
> fully-free game development.
>
> There is a blurred line however between the means and the ends here.
> For instance, lots of packages we have in Guix can be used to deal with
> some proprietary data, from web browsers to video players, you name it.
>
> My take at this issue is that free game engines are a first step towards
> liberating the video game industry further.  If we don't allow the
> opportunity for free game engines in the first place, free game data
> will never be worked on.

This is a separate issue.  There is no objection to providing free game
engines.

This is how we got here:

--8<---------------cut here---------------start------------->8---
>>> First: what game engines do we provide that can only be used with
>>> proprietary game data?
>>
>> OpenMW, Arx Libertatis, OpenRCT2, off the top of my head.
>
> Hmm, that=E2=80=99s not good then.  I think we should take a closer look =
at them
> to decide whether they should be removed.
>
> The description of Arx Libertatis says this:
>
>    Arx Libertatis is a cross-platform, open source port of Arx Fatalis,
>    a 2002 first-person role-playing game / dungeon crawler developed by
>    Arkane Studios.  This port however does not include the game data, so
>    you need to obtain a copy of the original Arx Fatalis or its demo to
>    play Arx Libertatis.[=E2=80=A6]
>
> Aside from the =E2=80=9Copen source=E2=80=9D mention I don=E2=80=99t thin=
k it=E2=80=99s right for us to
> recommend that users obtain a copy of a proprietary game.

The =E2=80=9Cyou need to obtain a copy=E2=80=A6=E2=80=9D bit is problematic=
 because it refers to
non-free software.
--8<---------------cut here---------------end--------------->8---

The package claims to provide a game, not a game engine.  As a user I
would install this only to be told that I need to obtain proprietary
software (i.e. the game or the demo) to play this.  This is steering
people to seek out and use proprietary software.

We should change the package so that it conveys the right message,
either by making it clear that this is not a game but the game engine,
or by including the game data.  Even if the data are non-functional they
must be redistributable.  If they are not then we cannot include the
game data and it would be highly misleading to call the package after
the game.

> The Dark Mod is fully free, the game data is under some CC, so I'll
> commit the package if there is no objection.

Please hold off on pushing this package until we reach an agreement.  My
original objection was this:

--8<---------------cut here---------------start------------->8---
> * gnu/packages/games.scm (the-dark-mod): New variable.
[=E2=80=A6]
> +      (synopsis "Game based on the Thief series by Looking Glass Studios=
")
> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltratio=
n game
> +based on the Thief series by Looking Glass Studios.  Formerly a Doom III=
 mod,
> +it is now released as a standalone.
> +
> +The game data must be fetched manually by running @command{tdm_update}.
> +The ~a environment variable specifies the location where the game data is
> +saved (defaults to ~a)."
> +                           the-dark-mod-env-var-name the-dark-mod-env-va=
r-value))

Is this actually free software?  Does it depend on the proprietary Thief
game data to be playable?  What is the purpose of tdm_update?
--8<---------------cut here---------------end--------------->8---

I don=E2=80=99t think it=E2=80=99s good to have people run the tdm_update t=
ool, because
this smells like the anti pattern seen for many games in other
distributions where you really only install a downloader, which then
fetches the (potentially non-free) game data.

The game data are free in this case, but since this is provided by an
unversioned URL it might not be when a user runs the command.  I prefer
to include a snapshot of the game data.

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 22 Apr 2019 09:02:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 05:02:10 2019
Received: from localhost ([127.0.0.1]:49661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIUq2-0004Ne-0v
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:02:10 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:49391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hIUpy-0004NP-Cm
 for 35234 <at> debbugs.gnu.org; Mon, 22 Apr 2019 05:02:07 -0400
X-Originating-IP: 92.169.116.19
Received: from bababa (lfbn-1-4117-19.w92-169.abo.wanadoo.fr [92.169.116.19])
 (Authenticated sender: pierre@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id AFDAF1C000B;
 Mon, 22 Apr 2019 09:02:02 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, Ricardo Wurmus
 <rekado@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-Reply-To: <87pnpf72ns.fsf@HIDDEN>
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN> <87pnpf72ns.fsf@HIDDEN>
Date: Mon, 22 Apr 2019 11:02:02 +0200
Message-ID: <87k1fm9zw5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Thoughts?
>
> Now, I would hope that the free game engine could serve as the basis for
> a free game, with free game data as well.

Absolutely.  Technically all those engines can be re-used for
fully-free game development.

There is a blurred line however between the means and the ends here.
For instance, lots of packages we have in Guix can be used to deal with
some proprietary data, from web browsers to video players, you name it.

My take at this issue is that free game engines are a first step towards
liberating the video game industry further.  If we don't allow the
opportunity for free game engines in the first place, free game data
will never be worked on.

Guix stands mostly (but not only) for free software.  Game data is a
whole different battle though, and I'm not sure it's the role of Guix to
fight this one.  If we can encourage freedom, however, by supporting the
first step towards "free game data," then it's a win for freedom in my
opinion.  The reverse could be more damaging to the users' freedom in
the long run than protecting it.

The Dark Mod is fully free, the game data is under some CC, so I'll
commit the package if there is no objection.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAly9gwoACgkQm9z0l6S7
zH9ykgf9GS1YfVBEbizJAXXMUbOE54bNBzss7qIhHcFuMxfszgAmNTKNTXe+ry7D
qkVZekXVGfAGn9yzVc7ECmfrR2oJo1w9cBBwtqAbZRCyYhX5Bl2eNoIXNBJ21kVT
/SKUofw/NireNfnEqk7bEkDGDtrjjNiGAUBF1KhHFuryE7jLIY/C5ZHLWsWoYKyt
wATh6G0Y81Cwbh8H2X5o6FB0bKnjT0MDC82UC4yYR6YR3BS2adUFX+wiBUzoY64j
TK9EmjD9Mtqz/oLuL/0Dh9PGGFoLFt40gbkW4ke9vqdaB4jWlMfkYinOy5IzhG+3
XPAJmY+DogBOMsDqKGMS5vLql61bjQ==
=BJqL
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 21 Apr 2019 16:18:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 21 12:18:28 2019
Received: from localhost ([127.0.0.1]:48979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIFAi-0008VS-AP
	for submit <at> debbugs.gnu.org; Sun, 21 Apr 2019 12:18:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38137)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hIFAg-0008VE-Ft
 for 35234 <at> debbugs.gnu.org; Sun, 21 Apr 2019 12:18:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52353)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hIFAa-00016F-8s; Sun, 21 Apr 2019 12:18:20 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=35600 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hIFAZ-0006uC-Dr; Sun, 21 Apr 2019 12:18:19 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
 <87ef5v78f8.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 =?utf-8?Q?Flor=C3=A9al?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 21 Apr 2019 18:18:15 +0200
In-Reply-To: <87ef5v78f8.fsf@HIDDEN> (Ricardo Wurmus's message of "Sun,
 21 Apr 2019 16:13:47 +0200")
Message-ID: <87pnpf72ns.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Ricardo,

Ricardo Wurmus <rekado@HIDDEN> skribis:

> Pierre Neidhardt <mail@HIDDEN> writes:
>
>> Ricardo Wurmus <rekado@HIDDEN> writes:
> [=E2=80=A6]
>>> First: what game engines do we provide that can only be used with
>>> proprietary game data?
>>
>> OpenMW, Arx Libertatis, OpenRCT2, off the top of my head.
>
> Hmm, that=E2=80=99s not good then.  I think we should take a closer look =
at them
> to decide whether they should be removed.
>
> The description of Arx Libertatis says this:
>
>    Arx Libertatis is a cross-platform, open source port of Arx Fatalis,
>    a 2002 first-person role-playing game / dungeon crawler developed by
>    Arkane Studios.  This port however does not include the game data, so
>    you need to obtain a copy of the original Arx Fatalis or its demo to
>    play Arx Libertatis.[=E2=80=A6]
>
> Aside from the =E2=80=9Copen source=E2=80=9D mention I don=E2=80=99t thin=
k it=E2=80=99s right for us to
> recommend that users obtain a copy of a proprietary game.

The =E2=80=9Cyou need to obtain a copy=E2=80=A6=E2=80=9D bit is problematic=
 because it refers to
non-free software.

However, I believe it=E2=80=99s really talking about =E2=80=9Cnon-functiona=
l data=E2=80=9D in
FSDG terms:

  https://gnu.org/distros/free-system-distribution-guidelines.html#non-func=
tional-data

So, rephrased to suggest obtaining the non-free _data_, the sentence may
be OK per the FSDG.  The problem is that it=E2=80=99s maybe not that simple=
 to
obtain the data without the non-free game=E2=80=A6

Thoughts?

Now, I would hope that the free game engine could serve as the basis for
a free game, with free game data as well.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 21 Apr 2019 14:14:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 21 10:14:31 2019
Received: from localhost ([127.0.0.1]:48917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIDEk-0003J0-Oh
	for submit <at> debbugs.gnu.org; Sun, 21 Apr 2019 10:14:31 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hIDEi-0003Ir-Jm
 for 35234 <at> debbugs.gnu.org; Sun, 21 Apr 2019 10:14:29 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1555856032; cv=none; d=zoho.com; s=zohoarc; 
 b=ORDBxkuFegYOBz5rQwapGeAv7nwNOmKGKQwX7RVG93G8O33mmJ8WyRNCabbF4YoYeL4I8YQV6oMfs67EAQJK9etlMwuTKi2/DWeZ4wTJFRlNKW2awEP02NKLQBbXFUmD/loAHEinlhrE58p9uOkfgCHSUtYFundvqG4f0gZljw8=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1555856032;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=Yd69q9FqHgqeyho1fCZUKT4L/7EA6EibL5sy04V2v9g=; 
 b=RJsih9pAfojwZXrcJWiXBOCTyydmPbqlGPIBLW2Nbr99TnyFkqt4nNTkAFFzAWn7eLICfWBIUvnLy5kjbeXR35zSbgRguBXdbmpZti+CMZD8dFm9fDFUkqU94mAEkdImCPTA0sfmoLOGfRbtxsGI+VVxuaPQSUzLjjiS6fgqIBY=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1555856032; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1089; bh=Yd69q9FqHgqeyho1fCZUKT4L/7EA6EibL5sy04V2v9g=;
 b=B0iKZADs6qlSFgwUeg2FMuo9KzKhRG0urP7SeTwMWhp4LaDE4vRaX319K/pjJlO1
 OqiR1r6clwEAXCBIbUNqyw151eGDMHErhq6EECQIpfSupiy0j/7Tm/s2zz/WAvXO/u+
 gvOIrRFfjH+hIW517SZXxYEFDArufsLrPn3kSsxw=
Received: from localhost (p54AD4EA4.dip0.t-ipconnect.de [84.173.78.164]) by
 mx.zohomail.com with SMTPS id 1555856031647852.6033930653739;
 Sun, 21 Apr 2019 07:13:51 -0700 (PDT)
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN> <87mukvjusd.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-reply-to: <87mukvjusd.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Sun, 21 Apr 2019 16:13:47 +0200
Message-ID: <87ef5v78f8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org, ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Pierre Neidhardt <mail@HIDDEN> writes:

> Ricardo Wurmus <rekado@HIDDEN> writes:
[=E2=80=A6]
>> First: what game engines do we provide that can only be used with
>> proprietary game data?
>
> OpenMW, Arx Libertatis, OpenRCT2, off the top of my head.

Hmm, that=E2=80=99s not good then.  I think we should take a closer look at=
 them
to decide whether they should be removed.

The description of Arx Libertatis says this:

   Arx Libertatis is a cross-platform, open source port of Arx Fatalis,
   a 2002 first-person role-playing game / dungeon crawler developed by
   Arkane Studios.  This port however does not include the game data, so
   you need to obtain a copy of the original Arx Fatalis or its demo to
   play Arx Libertatis.[=E2=80=A6]

Aside from the =E2=80=9Copen source=E2=80=9D mention I don=E2=80=99t think =
it=E2=80=99s right for us to
recommend that users obtain a copy of a proprietary game.

> Maybe some forks of the Doom 1 & 2 engines too.

I think these are fine, because there are numerous games based on these
engines

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 12 Apr 2019 12:02:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 08:02:51 2019
Received: from localhost ([127.0.0.1]:55556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEutP-0001Xx-Gn
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2019 08:02:51 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:56431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hEutK-0001Xk-9v
 for 35234 <at> debbugs.gnu.org; Fri, 12 Apr 2019 08:02:49 -0400
Received: from bababa (lfbn-1-4117-19.w92-169.abo.wanadoo.fr [92.169.116.19])
 (Authenticated sender: pierre@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 9BF7A100011;
 Fri, 12 Apr 2019 12:02:42 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-Reply-To: <87o95b31ta.fsf@HIDDEN>
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
 <87o95b31ta.fsf@HIDDEN>
Date: Fri, 12 Apr 2019 14:02:42 +0200
Message-ID: <87mukvjusd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ricardo Wurmus <rekado@HIDDEN> writes:

> I=E2=80=99d prefer not to recommend the use of tdm_update and create a pa=
ckage
> for the game data instead.  Under what URL can the game data be
> downloaded?  Can we use a web.archive.org URL or host the data
> somewhere?

There are a bunch of official mirrors, not of which versions the data.
I think it'd be nice to discuss this with upstream though.

>> We have quite a few game engines in our repository that
>> depend on proprietary game data to be playable.  But The Dark Mod is not=
 one
>> of them.
>
> First: what game engines do we provide that can only be used with
> proprietary game data?

OpenMW, Arx Libertatis, OpenRCT2, off the top of my head.
Maybe some forks of the Doom 1 & 2 engines too.

> Second: The Dark Mod source repository contains a README with this text:
>
>   This source release does not contain any game data, the game data is st=
ill
>   covered by the original EULA and must be obeyed as usual.
>
>   https://svn.thedarkmod.com/publicsvn/darkmod_src/trunk/README.txt
>
> What is that EULA?  Is this README incorrect?  Or this misleading as it
> would only apply to Doom 3?

Absolutely, the README is a left-over of the Doom 3 GPL source.
(Many files haven't been updated properly.)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlywfmIACgkQm9z0l6S7
zH/tbwf+KwzxijkuyxidOlRa/5k/XMSzUXthBRfjBHQqafEbCd/Gbb6LlfzJoXGE
loL8fSOrsSf0sbmIHoJVLjeHpwKbMngBWGo5UCUH4x/AX7dlx/jYyIjhqabEHqpM
dPXqFROpIVlJXhvbWq3CoMC/pEh6uQE9vQvMTWEeip+Kbsn2dajt4L5jtMjwAxwG
V3nNt3jNm9LCFHTm9NG8W5EWl7fme8IO4xDkH3YKz07rCoNc4rfCE5EO02nQBXAG
9lEOL9BmEAgEhsHXYZvkC9eklizrpqjwUvBKE7c2OjmBaD71Ng4puCHKrIG16CQL
N3aWX253XVYOj13c5XuxYpAhVENRjg==
=sJFr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 12 Apr 2019 11:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 07:23:31 2019
Received: from localhost ([127.0.0.1]:55522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEuHL-0004zI-D9
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2019 07:23:31 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hEuHH-0004z7-8T
 for 35234 <at> debbugs.gnu.org; Fri, 12 Apr 2019 07:23:30 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1555068185; cv=none; d=zoho.com; s=zohoarc; 
 b=eK8qSVy8M76feelZKtL6vffIfZjAQzjqikwkvUNWVoR0BAY0xx+lf5Z/iKRlZsrrAGDOAAxj6M6V1DwHhAJnoGMY3Ty30GrtvL60mfYxysKDi1ZF/cHZCGKExU5rj0zBHfEhRLsLlfVuX0XybUMq3nl6DpK9p0qsNkQaCL8StvU=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1555068185;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=G8DWWktn5EbRYV4mQEQkqaedf0yjz0nvr0fHcyqxZIQ=; 
 b=cSdkdf6IlwBGnGrZI4L2kFjwek3qP6dMPHBOdxiv08RCe+O4fGK55cY1N0sXT5xWng0nGdpI81trYz63q6DU4pIR3XGpMMYBBNp44bMrNg2aA5fV17V365TjZVtqxNCoXi9kIWUzIkFbm9lvK35hXxYJGZh6v9bu664lA3gEvZw=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1555068185; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=2029; bh=G8DWWktn5EbRYV4mQEQkqaedf0yjz0nvr0fHcyqxZIQ=;
 b=LXj2PaWn7iEmPZZm8fRGKT7OytqHx85yNd3HvabQWZ4KBhp2SKHMPrO3VyGpXCFZ
 RaDndl7pOCyWj0L+vt6EMcETkOpNpoMntcCLPtgu08bLTYalejmQIKI4sXecaCmjniQ
 4CLK2xwTkr6VeRlmKe9cJjD2R+Ws1hk1lvwOgKqY=
Received: from localhost (141.80.247.154 [141.80.247.154]) by mx.zohomail.com
 with SMTPS id 1555068183486238.6670268926382;
 Fri, 12 Apr 2019 04:23:03 -0700 (PDT)
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN> <878swflfze.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-reply-to: <878swflfze.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Fri, 12 Apr 2019 13:22:57 +0200
Message-ID: <87o95b31ta.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Pierre Neidhardt <mail@HIDDEN> writes:

> Ricardo Wurmus <rekado@HIDDEN> writes:
>
>> Hi Pierre,
>>
>>> * gnu/packages/games.scm (the-dark-mod): New variable.
>> [=E2=80=A6]
>>> +      (synopsis "Game based on the Thief series by Looking Glass Studi=
os")
>>> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltrat=
ion game
>>> +based on the Thief series by Looking Glass Studios.  Formerly a Doom I=
II mod,
>>> +it is now released as a standalone.
>>> +
>>> +The game data must be fetched manually by running @command{tdm_update}.
>>> +The ~a environment variable specifies the location where the game data=
 is
>>> +saved (defaults to ~a)."
>>> +                           the-dark-mod-env-var-name the-dark-mod-env-=
var-value))
>>
>> Is this actually free software?  Does it depend on the proprietary Thief
>> game data to be playable?  What is the purpose of tdm_update?
>
> It is: I added a comment in the license section: all the data fetched by
> the "tdm_update" executable is under CC.  tdm_update is the in-house
> package manager.  It's sad the game data is not versioned, but I don't
> see a way around it at  the moment.

I=E2=80=99d prefer not to recommend the use of tdm_update and create a pack=
age
for the game data instead.  Under what URL can the game data be
downloaded?  Can we use a web.archive.org URL or host the data
somewhere?

> We have quite a few game engines in our repository that
> depend on proprietary game data to be playable.  But The Dark Mod is not =
one
> of them.

First: what game engines do we provide that can only be used with
proprietary game data?

Second: The Dark Mod source repository contains a README with this text:

  This source release does not contain any game data, the game data is still
  covered by the original EULA and must be obeyed as usual.

  https://svn.thedarkmod.com/publicsvn/darkmod_src/trunk/README.txt

What is that EULA?  Is this README incorrect?  Or this misleading as it
would only apply to Doom 3?

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 12 Apr 2019 09:39:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 05:39:44 2019
Received: from localhost ([127.0.0.1]:55476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEset-0002Oj-6p
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2019 05:39:44 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:33149)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hEsep-0002OW-PG
 for 35234 <at> debbugs.gnu.org; Fri, 12 Apr 2019 05:39:41 -0400
X-Originating-IP: 92.169.116.19
Received: from bababa (lfbn-1-4117-19.w92-169.abo.wanadoo.fr [92.169.116.19])
 (Authenticated sender: pierre@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 800E12000B;
 Fri, 12 Apr 2019 09:39:35 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-Reply-To: <87d0lsib4l.fsf@HIDDEN>
References: <20190411181644.21661-1-mail@HIDDEN>
 <87d0lsib4l.fsf@HIDDEN>
Date: Fri, 12 Apr 2019 11:39:33 +0200
Message-ID: <878swflfze.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ricardo Wurmus <rekado@HIDDEN> writes:

> Hi Pierre,
>
>> * gnu/packages/games.scm (the-dark-mod): New variable.
> [=E2=80=A6]
>> +      (synopsis "Game based on the Thief series by Looking Glass Studio=
s")
>> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltrati=
on game
>> +based on the Thief series by Looking Glass Studios.  Formerly a Doom II=
I mod,
>> +it is now released as a standalone.
>> +
>> +The game data must be fetched manually by running @command{tdm_update}.
>> +The ~a environment variable specifies the location where the game data =
is
>> +saved (defaults to ~a)."
>> +                           the-dark-mod-env-var-name the-dark-mod-env-v=
ar-value))
>
> Is this actually free software?  Does it depend on the proprietary Thief
> game data to be playable?  What is the purpose of tdm_update?

It is: I added a comment in the license section: all the data fetched by
the "tdm_update" executable is under CC.  tdm_update is the in-house
package manager.  It's sad the game data is not versioned, but I don't
see a way around it at  the moment.

We have quite a few game engines in our repository that
depend on proprietary game data to be playable.  But The Dark Mod is not one
of them.

> The value of the description field must be a plain string.  It should
> not be a format expression to allow for translations.

Hmm... I really liked that I could make the environment variable
customizable, but I guess I'll have to hard-code it in the description then.

Thanks for the review!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlywXNUACgkQm9z0l6S7
zH9AWQf/eT6FKx1yKU8g99fZE/J6AvZw7aB8eZTqH+lEJvMH/BlD1Bne6Qjup3Zo
zrpmPAqmWMy24LkOvzp7KB1VBVpZZ+rp9rAGfuYa6NiseJ3ia+r7yioQm4eSAwts
QxB38FbNnW8uheQMGacLzHPvK3OXfFDsmPvNX/0eib0BWHL5BOckxf+7MdGbRzMW
3F6YyanEZEz0ShGSAnoa54BKHqi8Pyn0ssKTOLg5QUMY0R6hQqcz0nZ2TbkrAOVB
sQ0sR2h9lDHFQRhjsQ6R43vJzBQL7puhY/VS/uZrQb9i6y2kUig5UYb7mkpc7uZt
b+gQsyQnxj6/LNw6ASM2HrdxNtDL3g==
=udyO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at 35234 <at> debbugs.gnu.org:


Received: (at 35234) by debbugs.gnu.org; 11 Apr 2019 19:40:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 11 15:40:57 2019
Received: from localhost ([127.0.0.1]:55186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEfZB-0007T8-5P
	for submit <at> debbugs.gnu.org; Thu, 11 Apr 2019 15:40:57 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hEfZ8-0007Sz-Vt
 for 35234 <at> debbugs.gnu.org; Thu, 11 Apr 2019 15:40:55 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1555011633; cv=none; d=zoho.com; s=zohoarc; 
 b=bKiFKeEkon7BldoHT1NaM1N5WmeEBbqZlSyQjAZKwAdlXQ7H9xaYKZTFuRgR1GqQ1JivopUrE2NXzwCciVqhqe/v86WhKTq0Fxnj+UzU0C5zIbjfJtIdBonJIFVb9ge80IfazzB/ia27m6gdGgZWGGQXZKOW42TJFfUDrnXsJE0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1555011633;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=+xiGvtSGNVBODYj8mtxGBl50KDM6CbIMGEpqSHNkSeQ=; 
 b=eV4xeqgHWk4R7e9YL31zKv9pi5eZuyMhFwWGyGLAHy5RuqC4UpIE8pXqB2dmrTmeBBfcAnz+MzGqY8EwVfyBZBJg1PqUp6g8+KVwTYZXsipwpJxqSkSbf5UQdfWyCDin1m7cVzvsOl83gde+4mJ2FiT5TibOny9OlfOjpBUZy/A=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1555011633; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=902; bh=+xiGvtSGNVBODYj8mtxGBl50KDM6CbIMGEpqSHNkSeQ=;
 b=LQNUa2gP7UZ+dT8nvlf0aPoUts+xlYAAsruDtmRyu29gWNPpdawDITiyWr2kJAAb
 1r8LIBeTuEvnvL1MNzQR05ZXngGq3fRG9+XU04r/P/8SlgrgJLzYZi3vRdDgCuAjrwK
 ZoV8zhBFBSqLmUgcElNel5OH/E8nlXwSwhbh6yxg=
Received: from localhost (p54AD43EA.dip0.t-ipconnect.de [84.173.67.234]) by
 mx.zohomail.com with SMTPS id 155501163163514.201231270094127;
 Thu, 11 Apr 2019 12:40:31 -0700 (PDT)
References: <20190411181644.21661-1-mail@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#35234] [PATCH] gnu: Add the-dark-mod.
In-reply-to: <20190411181644.21661-1-mail@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 11 Apr 2019 21:40:26 +0200
Message-ID: <87d0lsib4l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35234
Cc: 35234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Pierre,

> * gnu/packages/games.scm (the-dark-mod): New variable.
[=E2=80=A6]
> +      (synopsis "Game based on the Thief series by Looking Glass Studios=
")
> +      (description (format #f "The Dark Mod (TDM) is stealth/infiltratio=
n game
> +based on the Thief series by Looking Glass Studios.  Formerly a Doom III=
 mod,
> +it is now released as a standalone.
> +
> +The game data must be fetched manually by running @command{tdm_update}.
> +The ~a environment variable specifies the location where the game data is
> +saved (defaults to ~a)."
> +                           the-dark-mod-env-var-name the-dark-mod-env-va=
r-value))

Is this actually free software?  Does it depend on the proprietary Thief
game data to be playable?  What is the purpose of tdm_update?

The value of the description field must be a plain string.  It should
not be a format expression to allow for translations.

--=20
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Apr 2019 18:17:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 11 14:17:06 2019
Received: from localhost ([127.0.0.1]:55153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEeG1-0005Ne-VV
	for submit <at> debbugs.gnu.org; Thu, 11 Apr 2019 14:17:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hEeFz-0005N5-Fs
 for submit <at> debbugs.gnu.org; Thu, 11 Apr 2019 14:17:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:54301)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1hEeFu-0003uY-Bd
 for submit <at> debbugs.gnu.org; Thu, 11 Apr 2019 14:16:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37090)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hEeFs-0003ZB-PG
 for guix-patches@HIDDEN; Thu, 11 Apr 2019 14:16:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hEeFr-0003qY-6p
 for guix-patches@HIDDEN; Thu, 11 Apr 2019 14:16:56 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:49985)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1hEeFq-0003id-Qi
 for guix-patches@HIDDEN; Thu, 11 Apr 2019 14:16:55 -0400
X-Originating-IP: 92.169.116.19
Received: from localhost.localdomain (lfbn-1-4117-19.w92-169.abo.wanadoo.fr
 [92.169.116.19]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id A3B4D1C0002
 for <guix-patches@HIDDEN>; Thu, 11 Apr 2019 18:16:44 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add the-dark-mod.
Date: Thu, 11 Apr 2019 20:16:44 +0200
Message-Id: <20190411181644.21661-1-mail@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 217.70.183.197
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/games.scm (the-dark-mod): New variable.
---
 gnu/packages/games.scm | 142 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 142 insertions(+)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 2afe5b58ba..4895c0e361 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -113,6 +113,7 @@
   #:use-module (gnu packages libunwind)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages lua)
+  #:use-module (gnu packages m4)
   #:use-module (gnu packages man)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages mp3)
@@ -141,6 +142,7 @@
   #:use-module (gnu packages textutils)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages upnp)
+  #:use-module (gnu packages version-control)
   #:use-module (gnu packages video)
   #:use-module (gnu packages vulkan)
   #:use-module (gnu packages web)
@@ -6765,3 +6767,143 @@ a procedurally generated world, the player can explore thousands of rooms in
 search of powerful artifacts, tools to help them, and to eventually free the
 Orcus Dome from evil.")
     (license license:gpl3+)))
+
+(define-public the-dark-mod
+  (let ((scons-flags
+         (string-append "TARGET_ARCH="
+                              (match (%current-system)
+                                ("i686-linux" "x86")
+                                ("x86_64-linux" "x64"))))
+        (the-dark-mod-env-var-name "THEDARKMOD_PATH")
+        (the-dark-mod-env-var-value "~/.local/share/darkmod"))
+    (package
+      (name "the-dark-mod")
+      (version "2.07")
+      (source (origin
+                (method url-fetch)
+                (uri (string-append "http://www.thedarkmod.com/sources/thedarkmod."
+                                    version ".src.7z"))
+                (sha256
+                 (base32
+                  "1lhqwl0qnddzbh9na9c73aqg923ixyrr5ih12p4y9v5nis9b3kyy"))))
+      (build-system scons-build-system)
+      (arguments
+       `(#:tests? #f                    ;no test
+         #:scons ,scons-python2
+         ;; BUILD=release makes Scons strip the executable, which fails because
+         ;; "strip" is not found in the path.
+         #:scons-flags (list ,scons-flags)
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'unpack
+             (lambda* (#:key source #:allow-other-keys)
+               (and (invoke "7z" "x" source))))
+           (add-after 'unpack 'fix-build-flags
+             ;; TODO: By default, -no-pie is passed because of the assumption
+             ;; that -fPIC was used to build ffmpeg.  This does not work with
+             ;; out default gcc-5.  This package does not seem to build with
+             ;; gcc>5.
+             (lambda _
+               (substitute* "SConstruct"
+                 (("BASELINKFLAGS.append\\( '-no-pie' \\)") ""))
+               #t))
+           (add-after 'build 'build-updater
+             (lambda _
+               (with-directory-excursion "tdm_update"
+                 (apply invoke "scons"
+                        (append (list "-j" (number->string
+                                            (parallel-job-count)))
+                                (list ,scons-flags))))
+               #t))
+           (replace 'install
+             (lambda* (#:key inputs outputs #:allow-other-keys)
+               (let* ((out (assoc-ref outputs "out"))
+                      (mesa (assoc-ref inputs "mesa"))
+                      (bin (string-append out "/bin/thedarkmod"))
+                      (bin-real (string-append out "/bin/.thedarkmod-real"))
+                      (updater (string-append out "/bin/tdm_update"))
+                      (updater-real (string-append out "/bin/.tdm_update-real"))
+                      (apps (string-append out "/share/applications"))
+                      (icons (string-append out "/share/icons")))
+                 (mkdir-p (string-append out "/bin"))
+                 (copy-file ,@(match (%current-system)
+                                ("i686-linux"
+                                 '("thedarkmod.x86"))
+                                ("x86_64-linux"
+                                 '("thedarkmod.x64")))
+                            bin-real)
+                 (copy-file "tdm_update/tdm_update.linux" updater-real)
+                 (with-output-to-file bin
+                   (lambda _
+                     (format #t "\
+#!~a
+export LD_LIBRARY_PATH=~a/lib
+~a=${~a:-~a}
+cd \"$~a\"
+exec -a \"~a\" ~a \"$@\"\n"
+                             (which "bash")
+                             mesa
+                             ,the-dark-mod-env-var-name ,the-dark-mod-env-var-name
+                             ,the-dark-mod-env-var-value
+                             ,the-dark-mod-env-var-name
+                             (basename bin) bin-real)))
+                 (chmod bin #o555)
+                 (with-output-to-file updater
+                   (lambda _
+                     (format #t "\
+#!~a
+~a=${~a:-~a}
+mkdir -p \"$~a\"
+## tdm_update outputs a log in its current working directory.
+cd \"$~a\"
+~a --noselfupdate --targetdir \"$~a\" \"$@\"~%"
+                             (which "bash")
+                             ,the-dark-mod-env-var-name ,the-dark-mod-env-var-name
+                             ,the-dark-mod-env-var-value
+                             ,the-dark-mod-env-var-name
+                             ,the-dark-mod-env-var-name
+                             updater-real
+                             ,the-dark-mod-env-var-name)))
+                 (chmod updater #o555)
+                 (mkdir-p apps)
+                 (mkdir-p icons)
+                 (install-file "tdm_update/darkmod.ico" icons)
+                 (with-output-to-file
+                     (string-append apps "/darkmod.desktop")
+                   (lambda _
+                     (format #t
+                             "[Desktop Entry]~@
+                     Name=The Dark Mod~@
+                     Comment=The Dark Mod~@
+                     Exec=~a~@
+                     TryExec=~@*~a~@
+                     Icon=darkmod~@
+                     Categories=Game~@
+                     Type=Application~%"
+                             bin)))))))))
+      (inputs
+       `(("mesa" ,mesa)
+         ("libxxf86vm" ,libxxf86vm)
+         ("openal" ,openal)
+         ("libxext" ,libxext)))
+      (native-inputs
+       `(("p7zip" ,p7zip)
+         ("m4" ,m4)
+         ("subversion" ,subversion)))
+      (home-page "http://www.thedarkmod.com/")
+      (synopsis "Game based on the Thief series by Looking Glass Studios")
+      (description (format #f "The Dark Mod (TDM) is stealth/infiltration game
+based on the Thief series by Looking Glass Studios.  Formerly a Doom III mod,
+it is now released as a standalone.
+
+The game data must be fetched manually by running @command{tdm_update}.
+The ~a environment variable specifies the location where the game data is
+saved (defaults to ~a)."
+                           the-dark-mod-env-var-name the-dark-mod-env-var-value))
+      (supported-systems '("x86_64-linux" "i686-linux"))
+      (license (list license:gpl3       ; idTech 4 engine
+                     license:bsd-3 ; Portion of the engine by Broken Glass Studios
+                     ;; All other non-software components: they are not
+                     ;; included in the Guix package, but the updater fetches
+                     ;; them.
+                     license:cc-by-sa3.0)))))
-- 
2.21.0





Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#35234; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 22 Apr 2019 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.